## Morphing rounded polygons in QML Js

QML-compatible Javascript port of [Knugel's Typescript port](https://github.com/Knugel/rounded-polygon-ts) of Androidx's shape library. Also includes the 35 [Material Design shapes](https://m3.material.io/styles/shape/overview-principles#579dd4ba-39f3-4e60-bd9b-1d97ed6ef1bf)

### Example

You can run the example with Quickshell's runner:

```sh
qs -p example.qml
```

https://github.com/user-attachments/assets/8e4e3120-3edb-4acd-8fcf-83aa1b5bb0e0

### Usage

You can add this repo as a submodule to yours. I haven't figured out how to package this (and make it generally available with non-Quickshell QML) yet, and stability is not guaranteed.
